> For the complete documentation index, see [llms.txt](https://docs.glassnode.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.glassnode.com/basic-api/endpoints/signals.md).

# Signals

## Altcoin Cycle Signal

> \*\*Definition.\*\* The Altcoin Cycle Signal measures whether the market favors bitcoin versus all altcoins. It is based on price data of the top 250 altcoins by market capitalization (excluding stablecoins) and is meant to be largely agnostic to which altcoins in particular an investor holds.\n\n\*\*Technical.\*\* The metric is updated daily at 10:15 UTC, providing the previous day\&#x27;s data point at this time.\n\n\*\*Interpretation.\*\* During Bitcoin Season, bitcoin is likely to outperform the basket of all altcoins, during Altcoin Season this dynamic inverts.\n\n\*\*Notes.\*\* For more information on its interpretation and methodology, see \[this dashboard]\(<https://studio.glassnode.com/dashboards/signals).\n\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.AltcoinIndex?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/altcoin_index":{"get":{"summary":"Altcoin Cycle Signal","description":"**Definition.** The Altcoin Cycle Signal measures whether the market favors bitcoin versus all altcoins. It is based on price data of the top 250 altcoins by market capitalization (excluding stablecoins) and is meant to be largely agnostic to which altcoins in particular an investor holds.\\n\\n**Technical.** The metric is updated daily at 10:15 UTC, providing the previous day&#x27;s data point at this time.\\n\\n**Interpretation.** During Bitcoin Season, bitcoin is likely to outperform the basket of all altcoins, during Altcoin Season this dynamic inverts.\\n\\n**Notes.** For more information on its interpretation and methodology, see [this dashboard](https://studio.glassnode.com/dashboards/signals).\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.AltcoinIndex?a=BTC)\n","operationId":"signals.AltcoinIndex","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Bitcoin Risk Signal

> \*\*Definition.\*\* Bitcoin Risk Signal gauges the risk of a major drawdown in the Bitcoin price.\n\n\*\*Technical.\*\* Built from a set of proprietary indicators, including Bitcoin price data, on-chain data, and a selection of other trading metrics.\n\n\*\*Notes.\*\* For interpretation and methodology, see the \[signals dashboard]\(<https://studio.glassnode.com/dashboards/signals>), or explore \[Bitcoin Vector]\(<https://glassnode.com/pricing/vector>), a market regime framework.\n\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcRiskIndex?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_risk_index":{"get":{"summary":"Bitcoin Risk Signal","description":"**Definition.** Bitcoin Risk Signal gauges the risk of a major drawdown in the Bitcoin price.\\n\\n**Technical.** Built from a set of proprietary indicators, including Bitcoin price data, on-chain data, and a selection of other trading metrics.\\n\\n**Notes.** For interpretation and methodology, see the [signals dashboard](https://studio.glassnode.com/dashboards/signals), or explore [Bitcoin Vector](https://glassnode.com/pricing/vector), a market regime framework.\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcRiskIndex?a=BTC)\n","operationId":"signals.BtcRiskIndex","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Bitcoin Sharpe Signal

> \*\*Definition.\*\* Bitcoin Sharpe Signal is a machine-learning long-entry signal for BTC, trained on on-chain data with the design goal of minimizing downside risk while capturing rising trends and enhancing risk-adjusted returns.\n\n\*\*Technical.\*\* The model output is a confidence score rendered as a color ramp, with green indicating the highest confidence and orange through red indicating reduced confidence. The signal is refreshed daily at 04:00 UTC, finalizing the previous day\&#x27;s timestamp. The standard version carries a one-day lag. Disclosed foundational inputs include Percent of Entities in Profit and Short Term Holder SOPR.\n\n\*\*Interpretation.\*\* Readings above 0.5 have historically been associated with improved risk-adjusted Bitcoin performance.\n\n\*\*Notes.\*\* For interpretation and methodology, see the \[signal dashboard]\(<https://studio.glassnode.com/dashboards/3d214767-ef64-4443-7855-c06aee5a7a70>). Enterprise clients interested in same-day data or the underlying methodology can contact the \[Institutional team]\(<https://get.glassnode.com/bitcoin-sharpe-signal-showcase/).\n\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcSharpeSignal?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_sharpe_signal":{"get":{"summary":"Bitcoin Sharpe Signal","description":"**Definition.** Bitcoin Sharpe Signal is a machine-learning long-entry signal for BTC, trained on on-chain data with the design goal of minimizing downside risk while capturing rising trends and enhancing risk-adjusted returns.\\n\\n**Technical.** The model output is a confidence score rendered as a color ramp, with green indicating the highest confidence and orange through red indicating reduced confidence. The signal is refreshed daily at 04:00 UTC, finalizing the previous day&#x27;s timestamp. The standard version carries a one-day lag. Disclosed foundational inputs include Percent of Entities in Profit and Short Term Holder SOPR.\\n\\n**Interpretation.** Readings above 0.5 have historically been associated with improved risk-adjusted Bitcoin performance.\\n\\n**Notes.** For interpretation and methodology, see the [signal dashboard](https://studio.glassnode.com/dashboards/3d214767-ef64-4443-7855-c06aee5a7a70). Enterprise clients interested in same-day data or the underlying methodology can contact the [Institutional team](https://get.glassnode.com/bitcoin-sharpe-signal-showcase/).\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcSharpeSignal?a=BTC)\n","operationId":"signals.BtcSharpeSignal","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Bitcoin Sharpe Signal - Indicator I

> \*\*Definition.\*\* Bitcoin Sharpe Signal - Indicator I is derived directly from entities\&#x27; profit, offering a nuanced view of entities profit momentum. It is used as one of the main features of the \[BSS model]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&m\\&#x3D;signals.BtcSharpeSignal).\n\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcBssIndicator1?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_bss_indicator_1":{"get":{"summary":"Bitcoin Sharpe Signal - Indicator I","description":"**Definition.** Bitcoin Sharpe Signal - Indicator I is derived directly from entities&#x27; profit, offering a nuanced view of entities profit momentum. It is used as one of the main features of the [BSS model](https://studio.glassnode.com/metrics?a&#x3D;BTC&m&#x3D;signals.BtcSharpeSignal).\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcBssIndicator1?a=BTC)\n","operationId":"signals.BtcBssIndicator1","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Bitcoin Sharpe Signal - Indicator II

> \*\*Definition.\*\* Bitcoin Sharpe Signal - Indicator II is a refined version of the MVRV ratio that employs statistical techniques to amplify its predictive power, highlighting periods of potential overvaluation or undervaluation. It is used as one of the main features of the \[BSS model]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&m\\&#x3D;signals.BtcSharpeSignal).\n\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcBssIndicator2?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_bss_indicator_2":{"get":{"summary":"Bitcoin Sharpe Signal - Indicator II","description":"**Definition.** Bitcoin Sharpe Signal - Indicator II is a refined version of the MVRV ratio that employs statistical techniques to amplify its predictive power, highlighting periods of potential overvaluation or undervaluation. It is used as one of the main features of the [BSS model](https://studio.glassnode.com/metrics?a&#x3D;BTC&m&#x3D;signals.BtcSharpeSignal).\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcBssIndicator2?a=BTC)\n","operationId":"signals.BtcBssIndicator2","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Bitcoin Sharpe Signal - Indicator III

> \*\*Definition.\*\* Bitcoin Sharpe Signal - Indicator III draws from recent STH\_SOPR data, offering insights into the market\&#x27;s short-term holder steadiness. It is used as one of the main features of the \[BSS model]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&m\\&#x3D;signals.BtcSharpeSignal).\n\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcBssIndicator3?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_bss_indicator_3":{"get":{"summary":"Bitcoin Sharpe Signal - Indicator III","description":"**Definition.** Bitcoin Sharpe Signal - Indicator III draws from recent STH_SOPR data, offering insights into the market&#x27;s short-term holder steadiness. It is used as one of the main features of the [BSS model](https://studio.glassnode.com/metrics?a&#x3D;BTC&m&#x3D;signals.BtcSharpeSignal).\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcBssIndicator3?a=BTC)\n","operationId":"signals.BtcBssIndicator3","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Bitcoin Sharpe Signal - Indicator IV

> \*\*Definition.\*\* Bitcoin Sharpe Signal - Indicator IV is a momentum reading on the percentage of circulating supply in profit, derived from a transformation applied to that base series.\n\n\*\*Notes.\*\* Used as one of the main features of the \[BSS model]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&m\\&#x3D;signals.BtcSharpeSignal).\n\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcBssIndicator4?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_bss_indicator_4":{"get":{"summary":"Bitcoin Sharpe Signal - Indicator IV","description":"**Definition.** Bitcoin Sharpe Signal - Indicator IV is a momentum reading on the percentage of circulating supply in profit, derived from a transformation applied to that base series.\\n\\n**Notes.** Used as one of the main features of the [BSS model](https://studio.glassnode.com/metrics?a&#x3D;BTC&m&#x3D;signals.BtcSharpeSignal).\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcBssIndicator4?a=BTC)\n","operationId":"signals.BtcBssIndicator4","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Bitcoin Sharpe Signal Short

> \*\*Definition.\*\* Bitcoin Sharpe Signal Short is a machine-learning short-entry signal for BTC, trained on on-chain data to anticipate periods of market turmoil and identify opportunities to short Bitcoin with reduced downside risk.\n\n\*\*Technical.\*\* The model output is a confidence score rendered as a color ramp, with red indicating the highest confidence in a coming market sell-off and yellow through green indicating reduced confidence.\n\n\*\*Interpretation.\*\* Readings above 0.5 have historically been associated with imminent market downturns.\n\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcBssShort?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_bss_short":{"get":{"summary":"Bitcoin Sharpe Signal Short","description":"**Definition.** Bitcoin Sharpe Signal Short is a machine-learning short-entry signal for BTC, trained on on-chain data to anticipate periods of market turmoil and identify opportunities to short Bitcoin with reduced downside risk.\\n\\n**Technical.** The model output is a confidence score rendered as a color ramp, with red indicating the highest confidence in a coming market sell-off and yellow through green indicating reduced confidence.\\n\\n**Interpretation.** Readings above 0.5 have historically been associated with imminent market downturns.\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcBssShort?a=BTC)\n","operationId":"signals.BtcBssShort","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## BSS Goldilocks Short Signal

> \*\*Definition.\*\* BSS Goldilocks Short Signal is the signal decision extracted from the Goldilocks Zone, marking a prime area to be short on Bitcoin according to the Bitcoin Sharpe Signal Short.\n\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcBssGoldilocksShort?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_bss_goldilocks_short":{"get":{"summary":"BSS Goldilocks Short Signal","description":"**Definition.** BSS Goldilocks Short Signal is the signal decision extracted from the Goldilocks Zone, marking a prime area to be short on Bitcoin according to the Bitcoin Sharpe Signal Short.\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcBssGoldilocksShort?a=BTC)\n","operationId":"signals.BtcBssGoldilocksShort","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## BSS Goldilocks Signal

> \*\*Definition.\*\* The BSS Goldilocks Signal is derived from the heuristics of the ML model used to construct the \[Bitcoin Sharpe Signal]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&m\\&#x3D;signals.BtcSharpeSignal>). It activates when the conditions of the Goldilocks zone are met, identifying prime opportunities to enhance the risk-adjusted return on Bitcoin.\n\n\*\*Technical.\*\* Conditions of the Goldilocks zone: \[BSS Indicator I]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&m\\&#x3D;signals.BtcBssIndicator1>) is between 52 and 65, and \[BSS Indicator III]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&m\\&#x3D;signals.BtcBssIndicator3>) is below 4%.\n\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcBssGoldilocks?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_bss_goldilocks":{"get":{"summary":"BSS Goldilocks Signal","description":"**Definition.** The BSS Goldilocks Signal is derived from the heuristics of the ML model used to construct the [Bitcoin Sharpe Signal](https://studio.glassnode.com/metrics?a&#x3D;BTC&m&#x3D;signals.BtcSharpeSignal). It activates when the conditions of the Goldilocks zone are met, identifying prime opportunities to enhance the risk-adjusted return on Bitcoin.\\n\\n**Technical.** Conditions of the Goldilocks zone: [BSS Indicator I](https://studio.glassnode.com/metrics?a&#x3D;BTC&m&#x3D;signals.BtcBssIndicator1) is between 52 and 65, and [BSS Indicator III](https://studio.glassnode.com/metrics?a&#x3D;BTC&m&#x3D;signals.BtcBssIndicator3) is below 4%.\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcBssGoldilocks?a=BTC)\n","operationId":"signals.BtcBssGoldilocks","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Ecosystem Momentum Signal

> \*\*Definition.\*\* The L1 Momentum Signal evaluates the propensity of a Layer 1 ecosystem to move into an exponential trend, either positive or negative. It can be used to gauge the likelihood of a short-term exponential price momentum continuing and intensifying.\n\n\*\*Technical.\*\* Based on a proprietary statistical method that identifies whether the underlying distribution of an asset\&#x27;s returns has departed from its usual structure. Data at 1-hour resolution is updated every 6 hours due to a data-source limitation for this metric.\n\n\*\*Notes.\*\* For more information, see the \[signals dashboard]\(<https://studio.glassnode.com/dashboards/signals).\n\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.EcosystemMomentumIndex?a=ATOM>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/ecosystem_momentum_index":{"get":{"summary":"Ecosystem Momentum Signal","description":"**Definition.** The L1 Momentum Signal evaluates the propensity of a Layer 1 ecosystem to move into an exponential trend, either positive or negative. It can be used to gauge the likelihood of a short-term exponential price momentum continuing and intensifying.\\n\\n**Technical.** Based on a proprietary statistical method that identifies whether the underlying distribution of an asset&#x27;s returns has departed from its usual structure. Data at 1-hour resolution is updated every 6 hours due to a data-source limitation for this metric.\\n\\n**Notes.** For more information, see the [signals dashboard](https://studio.glassnode.com/dashboards/signals).\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.EcosystemMomentumIndex?a=ATOM)\n","operationId":"signals.EcosystemMomentumIndex","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Intraday Bitcoin Sharpe Signal

> \*\*Definition.\*\* The Glassnode Intraday Bitcoin Sharpe Signal extends the \[BSS]\(<https://studio.glassnode.com/metrics?a\\&#x3D;BTC\\&category\\&#x3D;\\&m\\&#x3D;signals.BtcSharpeSignal>) by exposing within-day positioning of the Bitcoin Sharpe signal, improving response capabilities for Pro ML package subscribers against market movements.\n\n\*\*Technical.\*\* The signal uses a machine-learning approach with on-chain data to minimize downside risks and capture rising trends in Bitcoin. Model confidence is color-coded: green for the highest confidence, orange to red for reduced confidence.\n\n\*\*Interpretation.\*\* A surge beyond the 0.5 mark has historically been associated with improved risk-adjusted performance in Bitcoin.\n\
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.BtcBssV2?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/btc_bss_v2":{"get":{"summary":"Intraday Bitcoin Sharpe Signal","description":"**Definition.** The Glassnode Intraday Bitcoin Sharpe Signal extends the [BSS](https://studio.glassnode.com/metrics?a&#x3D;BTC&category&#x3D;&m&#x3D;signals.BtcSharpeSignal) by exposing within-day positioning of the Bitcoin Sharpe signal, improving response capabilities for Pro ML package subscribers against market movements.\\n\\n**Technical.** The signal uses a machine-learning approach with on-chain data to minimize downside risks and capture rising trends in Bitcoin. Model confidence is color-coded: green for the highest confidence, orange to red for reduced confidence.\\n\\n**Interpretation.** A surge beyond the 0.5 mark has historically been associated with improved risk-adjusted performance in Bitcoin.\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.BtcBssV2?a=BTC)\n","operationId":"signals.BtcBssV2","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Marketcap returns vs BTC

> \*\*Definition.\*\* Marketcap Grouping Returns vs BTC tracks the relative price performance of market-capitalization size-based clusters versus Bitcoin. Groupings are defined as Large Cap (>1B USD), Mid Cap (1B-100M USD), and Small Cap (100M-50M USD).\n\n\*\*Notes.\*\* For interpretation and methodology, see the \[signals dashboard]\(<https://studio.glassnode.com/dashboards/signals).\n\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.McapReturnsVsBtc?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/mcap_returns_vs_btc":{"get":{"summary":"Marketcap returns vs BTC","description":"**Definition.** Marketcap Grouping Returns vs BTC tracks the relative price performance of market-capitalization size-based clusters versus Bitcoin. Groupings are defined as Large Cap (>1B USD), Mid Cap (1B-100M USD), and Small Cap (100M-50M USD).\\n\\n**Notes.** For interpretation and methodology, see the [signals dashboard](https://studio.glassnode.com/dashboards/signals).\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.McapReturnsVsBtc?a=BTC)\n","operationId":"signals.McapReturnsVsBtc","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Token returns vs BTC

> \*\*Definition.\*\* Native Token Returns vs BTC tracks the relative price performance of large L1 native tokens versus Bitcoin.\n\n\*\*Notes.\*\* For interpretation and methodology, see the \[signals dashboard]\(<https://studio.glassnode.com/dashboards/signals).\n\\>
> \
> \[View in Studio]\(<https://studio.glassnode.com/charts/signals.L1NativeTokensReturnsVsBtc?a=BTC>)<br>

```json
{"openapi":"3.0.3","info":{"title":"Glassnode API - signals","version":"1.0.0"},"servers":[{"url":"https://api.glassnode.com","description":"Production API server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"query","name":"api_key","description":"Your Glassnode API key"}},"schemas":{"TimeSeriesResponse":{"type":"array","items":{"$ref":"#/components/schemas/TimeSeriesDataPoint"}},"TimeSeriesDataPoint":{"type":"object","properties":{"t":{"type":"integer","format":"int64","description":"Unix timestamp"},"v":{"oneOf":[{"type":"number"},{"type":"object"},{"type":"array"}],"description":"Metric value (can be number, object, or array depending on the metric)"},"o":{"type":"object","description":"Object containing multiple metric values (when applicable)","additionalProperties":true}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/metrics/signals/l1_native_tokens_returns_vs_btc":{"get":{"summary":"Token returns vs BTC","description":"**Definition.** Native Token Returns vs BTC tracks the relative price performance of large L1 native tokens versus Bitcoin.\\n\\n**Notes.** For interpretation and methodology, see the [signals dashboard](https://studio.glassnode.com/dashboards/signals).\\n\n\n[View in Studio](https://studio.glassnode.com/charts/signals.L1NativeTokensReturnsVsBtc?a=BTC)\n","operationId":"signals.L1NativeTokensReturnsVsBtc","parameters":[{"name":"a","in":"query","required":true,"description":"asset id - (see metadata (metadata/metric) page for more details)}","schema":{"type":"string"},"style":"form","explode":false},{"name":"s","in":"query","required":false,"description":"since, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"u","in":"query","required":false,"description":"until, unix timestamp","schema":{"type":"integer"},"style":"form","explode":false},{"name":"i","in":"query","required":false,"description":"frequency interval - 1h, 24h","schema":{"type":"string"},"style":"form","explode":false},{"name":"f","in":"query","required":false,"description":"format - csv, json","schema":{"type":"string","enum":["csv","json"],"default":"json"},"style":"form","explode":false},{"name":"timestamp_format","in":"query","required":false,"description":"timestamp format - unix or humanized (RFC 3339)","schema":{"type":"string","enum":["unix","humanized"],"default":"unix"},"style":"form","explode":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeSeriesResponse"}}}},"400":{"description":"Bad Request - Invalid parameters or unsupported asset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - Invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests - Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.glassnode.com/basic-api/endpoints/signals.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
